### Method

# EDataBook BookSqlite ref_collator

since: 3.12

#### Declaration [src]

    ECollator*
    e_book_sqlite_ref_collator (
      EBookSqlite* ebsql
    )

#### Description [src]

References the currently active `ECollator` for `ebsql`, use `e_collator_unref()` when finished using the returned collator.

Note that the active collator will change with the active locale setting.

Available since: 3.12

#### Return value

Type: `ECollator`

A reference to the active collator.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.